/**
 * @file app.h
 * @brief app logic
 * @author hendrik schutter
 * @date 01.05.2020
 */

#ifndef APP_H_
#define APP_H_

#include "refurbishingHddTool.h"
#include "drive.h"
#include "smart.h"

template <typename T, typename I>
T* iterator_to_pointer(I i)
{
    return (&(*i));
}

class App
{
protected:

public:
    App(void);
    void app_logic();

private:

    vector <Drive> vecDrives; //stores all drive data

    void searchDrives(vector <Drive>* pvecDrives);
    void printDrives(vector <Drive>* pvecDrives);
    void filterIgnoredDrives(vector <Drive>* pvecDrives);
    void addSMARTData(vector <Drive>* pvecDrives);
};


#endif  // APP_H_